"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.DOCKER_NOT_FOUND_ERROR = exports.SQLCMD_NOT_FOUND_ERROR = exports.invalidConnectionString = exports.wrapUnexpectedError = exports.generateError = exports.DOCKER_NOT_FOUND_MESSAGE = exports.DOCKER_NOT_FOUND = exports.SQLCMD_NOT_FOUND_MESSAGE = exports.SQLCMD_NOT_FOUND = exports.INVALID_CONNECTION_STRING_MESSAGE = exports.INVALID_CONNECTION_STRING = exports.UNEXPECTED_ERROR_MESSAGE = exports.UNEXPECTED_ERROR = void 0;
const UNEXPECTED_ERROR = 'UNEXPECTED_ERROR';
exports.UNEXPECTED_ERROR = UNEXPECTED_ERROR;
const UNEXPECTED_ERROR_MESSAGE = 'Unexpected Error, see innerError for details.';
exports.UNEXPECTED_ERROR_MESSAGE = UNEXPECTED_ERROR_MESSAGE;
const INVALID_CONNECTION_STRING = 'INVALID_CONNECTION_STRING';
exports.INVALID_CONNECTION_STRING = INVALID_CONNECTION_STRING;
const INVALID_CONNECTION_STRING_MESSAGE = 'The specified connection string is not valid.';
exports.INVALID_CONNECTION_STRING_MESSAGE = INVALID_CONNECTION_STRING_MESSAGE;
const SQLCMD_NOT_FOUND = 'SQLCMD_NOT_FOUND';
exports.SQLCMD_NOT_FOUND = SQLCMD_NOT_FOUND;
const SQLCMD_NOT_FOUND_MESSAGE = 'The sqlcmd executable was not found.';
exports.SQLCMD_NOT_FOUND_MESSAGE = SQLCMD_NOT_FOUND_MESSAGE;
const DOCKER_NOT_FOUND = 'DOCKER_NOT_FOUND';
exports.DOCKER_NOT_FOUND = DOCKER_NOT_FOUND;
const DOCKER_NOT_FOUND_MESSAGE = 'The docker command was not found.';
exports.DOCKER_NOT_FOUND_MESSAGE = DOCKER_NOT_FOUND_MESSAGE;

const generateError = (message, props) => Object.assign(new Error(message), {
  stack: undefined,
  ...props
});

exports.generateError = generateError;

const wrapUnexpectedError = innerError => generateError(UNEXPECTED_ERROR_MESSAGE, {
  code: UNEXPECTED_ERROR,
  innerError
});

exports.wrapUnexpectedError = wrapUnexpectedError;

const invalidConnectionString = props => generateError(INVALID_CONNECTION_STRING_MESSAGE, {
  code: INVALID_CONNECTION_STRING,
  ...props
});

exports.invalidConnectionString = invalidConnectionString;
const SQLCMD_NOT_FOUND_ERROR = generateError(SQLCMD_NOT_FOUND_MESSAGE, {
  code: SQLCMD_NOT_FOUND
});
exports.SQLCMD_NOT_FOUND_ERROR = SQLCMD_NOT_FOUND_ERROR;
const DOCKER_NOT_FOUND_ERROR = generateError(DOCKER_NOT_FOUND_MESSAGE, {
  code: DOCKER_NOT_FOUND
});
exports.DOCKER_NOT_FOUND_ERROR = DOCKER_NOT_FOUND_ERROR;
var _default = {
  wrapUnexpectedError,
  invalidConnectionString,
  SQLCMD_NOT_FOUND_ERROR,
  DOCKER_NOT_FOUND_ERROR
};
exports.default = _default;