"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.__internal = void 0;

var _dockerCli = _interopRequireDefault(require("@tracker1/docker-cli"));

var _generateTempSqlName = require("../../utility/generate-temp-sql-name");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const sqlTempPath = `/var/opt/mssql/tmp`;

const fmtMakeTemp = (containerId, sqlTempPath) => `exec -i ${containerId} mkdir -p ${sqlTempPath}`;

const fmtCopy = (from, to, containerId) => `cp "${from}" ${containerId}:${to}`;

const copyScriptToContainer = async (containerId, from) => {
  // inside mssql containers, can only read/write /var/opt/mssql
  // create a tmp directory
  await (0, _dockerCli.default)(fmtMakeTemp(containerId, sqlTempPath)); // copy file into container

  var to = `${sqlTempPath}/${(0, _generateTempSqlName.genFileBase)()}.sql`;
  await (0, _dockerCli.default)(fmtCopy(from, to, containerId));
  return {
    from,
    to
  };
};

const __internal = {
  sqlTempPath,
  fmtMakeTemp,
  fmtCopy
};
exports.__internal = __internal;

var _default = async (containerId, scripts) => Promise.all(scripts.map(s => copyScriptToContainer(containerId, s)));

exports.default = _default;