"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _copyTempScriptsToContainer = _interopRequireDefault(require("./copy-scripts/copy-temp-scripts-to-container"));

var _deleteContainerFiles = _interopRequireDefault(require("../utility/delete-container-files"));

var _getCommand = _interopRequireDefault(require("./get-command"));

var _spawn = _interopRequireDefault(require("../utility/spawn"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore file */
// TODO: temporarily ignore file for coverage
const executeDocker = async (options, scripts, variables) => {
  // copy scripts into container
  scripts = (await (0, _copyTempScriptsToContainer.default)(options.containerId, scripts)).map(l => l.to);

  const cleanup = () => (0, _deleteContainerFiles.default)(options.containerId, scripts);

  try {
    const {
      sqlcmd,
      containerId,
      args,
      vars
    } = (0, _getCommand.default)(options, scripts, variables);
    var result = await (0, _spawn.default)('docker', ['exec', '-i', // map sqlcmd var entries to docker variable entries
    ...vars.map(v => v === '-v' ? '-e' : v), containerId, sqlcmd, ...args], {
      echo: options.echo
    });
    await cleanup();
    return result;
  } catch (error) {
    await cleanup();
    throw error;
  }
};

var _default = executeDocker;
exports.default = _default;
module.exports = exports.default;