"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getCommand = _interopRequireDefault(require("./get-command"));

var _spawn = _interopRequireDefault(require("../utility/spawn"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore file */
// TODO: temporarily ignore file for coverage
const executeLocal = async (options, scripts, variables) => {
  const {
    sqlcmd,
    args,
    vars
  } = (0, _getCommand.default)(options, scripts, variables); // Windows path

  if (sqlcmd.indexOf('\\') >= 0) {
    // windows -- var directly
    return await (0, _spawn.default)(sqlcmd, [...vars, ...args], {
      echo: options.echo
    });
  } // linux - sqlcmd uses environment variables


  return await (0, _spawn.default)(sqlcmd, args, {
    echo: options.echo,
    env: variables
  });
};

var _default = executeLocal;
exports.default = _default;
module.exports = exports.default;