"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _resolveOptions = _interopRequireDefault(require("../resolve-options"));

var _copyInputScriptsLocal = _interopRequireDefault(require("./copy-scripts/copy-input-scripts-local"));

var _deleteAll = _interopRequireDefault(require("../utility/delete-all"));

var _executeRequestLocal = _interopRequireDefault(require("./execute-request-local"));

var _executeRequestDocker = _interopRequireDefault(require("./execute-request-docker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const executeRequest = async (connectionString, scripts, vars, directOptions
/* echo */
) => {
  const options = Object.assign((await (0, _resolveOptions.default)(connectionString)), directOptions);
  const scriptList = (await (0, _copyInputScriptsLocal.default)(scripts)).map(l => l.to);

  const cleanup = () => (0, _deleteAll.default)(scriptList);

  try {
    if (options.docker) {
      await (0, _executeRequestDocker.default)(options, scriptList, vars);
    } else {
      await (0, _executeRequestLocal.default)(options, scriptList, vars);
    }

    await cleanup();
  } catch (error) {
    await cleanup();
    throw error;
  }
};

var _default = executeRequest;
exports.default = _default;
module.exports = exports.default;