"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _glob = _interopRequireDefault(require("glob"));

var _isexe = _interopRequireDefault(require("isexe"));

var _knownPaths = _interopRequireDefault(require("./known-paths"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const glob = p => new Promise(resolve => (0, _glob.default)(p, (error, result) => error ? resolve(null) : resolve(result)));

const isexe = p => new Promise(resolve => (0, _isexe.default)(p, (error, result) => error ? resolve(false) : resolve(result)));

var _default = async () => {
  var pathsToSearch = (0, _knownPaths.default)();
  var pathsFound = (await Promise.all(pathsToSearch.map(glob))).filter(p => p) // only non-null values
  .sort().reverse();

  for (const fp of pathsFound) {
    if (await isexe(fp)) {
      return fp;
    }
  }

  return null;
};

exports.default = _default;
module.exports = exports.default;