"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _events = require("events");

var _future = _interopRequireDefault(require("./future"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore file */

/**
 * PromiseEmitter class - Combines Promise and EventEmitter
 * @param {*} fn is a funtion that should accept (resolve, reject, emitter)
 */
function PromiseEmitter(fn) {
  const {
    resolve,
    reject,
    promise
  } = (0, _future.default)(); // add eventemitter to promise

  Object.assign(promise, _events.EventEmitter.prototype);

  _events.EventEmitter.call(promise); // run fn call out of band


  setTimeout(() => fn.call(promise, resolve, reject, promise), 1);
  return promise;
}

var _default = PromiseEmitter;
exports.default = _default;
module.exports = exports.default;